-- We can't use the RANK() function as it is not supported in older versions ...
/*SELECT `rank` FROM (
    SELECT
        *,
        RANK() OVER (
            ORDER BY `value` DESC
	    ) AS `rank`
    FROM `{table}`
    WHERE `key` = ?
)
WHERE `player_uuid` = ?*/

SELECT `rank` FROM (
    SELECT
      *,
      (
        SELECT COUNT(*)
        FROM `{table}` AS p2
        WHERE `key` = ? AND p2.value > p1.value
      ) + (
        SELECT COUNT(*)
        FROM `{table}` AS p2
        WHERE `key` = ? AND p2.value == p1.value AND p1.player_uuid > p2.player_uuid
        )+1 `rank`
    FROM `player_stats_entries` AS p1
    WHERE `key` = ?
)
WHERE `player_uuid` = ?