INSERT INTO `{table_names}` (`player_uuid`, `username`)
SELECT t1.`player_uuid`, t1.`value` AS username
FROM `{table}` t1
         JOIN `{table}` t2
              ON t1.player_uuid = t2.player_uuid
         JOIN
     (SELECT sub_t1.`value` AS username, MAX(sub_t2.`value`) AS max_last_login
      FROM `{table}` sub_t1
               JOIN `{table}` sub_t2
                    ON sub_t1.player_uuid = sub_t2.player_uuid
      WHERE sub_t1.`id` = 'bedwars:username'
        AND sub_t2.`id` = 'bedwars:last_login'
      GROUP BY sub_t1.`value`
     ) subquery
     ON t1.`value` = subquery.username AND t2.`value` = subquery.max_last_login
WHERE
    t1.`id` = 'bedwars:username' AND t2.`id` = 'bedwars:last_login';