SELECT `player_uuid`, `value`
FROM (
         SELECT `player_uuid`, `value`
         FROM `{table}`
         WHERE `key` = ?

         UNION ALL

         SELECT DISTINCT `player_uuid`, 0 AS `value`
         FROM `{table}` A
         WHERE NOT EXISTS(
             SELECT 1
             FROM `{table}` B
             WHERE `key` = ? AND A.`player_uuid` = B.`player_uuid`
         )
     )
ORDER BY value DESC
LIMIT {min}-1, {max}-{min}+1